Redmine - Defect #5357

Git: SCM revisions ordered by date/time (should be reverse commit order)
2010-04-20 15:53 - Pieter Smith

Status: New Start date: 2010-04-20
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: Unplanned backlogs

Resolution: Affected version: 0.9.0
Description

The repository browser displays the commit history sorted by date/time. When developers are working in different time-zones (or
have a badly adjusted PC clocks), the commit sequence gets all jumbled up in the repository view.

Reproduction:
1. Commit something to a GIT repo.

2. Set PC clock to <today> - <1 day>.
3. Commit something else.

Related issues:

Related to Redmine - Defect #7146: Git adapter lost commits before 7 days fro... Closed 2010-12-21
Related to Redmine - Defect #7047: Git adapter very slow when a commit modifi... New 2010-12-04
Related to Redmine - Defect #7648: Git: Repository Statistics Incorrect New 2011-02-18
Related to Redmine - Defect #4657: Wrong timestamp for import of entries of t... New

Related to Redmine - Defect #7821: Git "previous" and "next" revisions are in... Closed 2011-03-10
Related to Redmine - Defect #8049: Git: fetch_changesets not updating project... Closed 2011-04-02
Related to Redmine - Feature #2799: Support for Bazaar's shared reposetories ... New 2009-02-21
Related to Redmine - Feature #6566: Convert the git adapter to rugged New 2010-10-04
Related to Redmine - Feature #5501: Git: Mercurial: Adding visual merge/branc... Closed 2010-05-11
Related to Redmine - Defect #11710: Git: Repository view author/date inconsis... New

Related to Redmine - Defect #2108: git repository browser uses author time in... Closed 2008-10-29
Has duplicate Redmine - Defect #13311: In repository view, git commits are or... Closed

Associated revisions

Revision 4986 - 2011-03-02 06:12 - Toshi MARUYAMA

scm: git: add more tests in fetch changesets incremental unit model test (#5357).

Revision 4987 - 2011-03-02 08:10 - Toshi MARUYAMA

scm: subversion: add changesets order test in unit model test (#5357).

Revision 5002 - 2011-03-04 15:03 - Toshi MARUYAMA

scm: mercurial: add changesets order test in unit model test (#5357).

Revision 5052 - 2011-03-08 07:50 - Toshi MARUYAMA

scm: git: add latest changesets test in unit model test (#5357).

Revision 5054 - 2011-03-08 08:06 - Toshi MARUYAMA

scm: git: add latest changesets limit test in unit model test (#5357).

Revision 5055 - 2011-03-08 08:06 - Toshi MARUYAMA

scm: git: add latest changesets tag test in unit model test (#5357).

Revision 5056 - 2011-03-08 08:06 - Toshi MARUYAMA

scm: git: add latest changesets branch test in unit model test (#5357).
Revision 5067 - 2011-03-08 16:05 - Toshi MARUYAMA

scm: git: add reverse log test in unit adapter test (#5357).

Revision 5073 - 2011-03-10 05:30 - Toshi MARUYAMA

scm: git: insert revisions to database with reverse commit order (#7821, #5357).

Revision 5074 - 2011-03-10 05:31 - Toshi MARUYAMA

scm: git: add tests for previous and next versions in unit model test (#7821, #5357).

Revision 5644 - 2011-05-05 01:38 - Toshi MARUYAMA

scm: git: add comments of revision order in fetch_changesets().

Related issues.
#5357, #6013, #7146, #4773, #4547, #1406, #3449, #3567.

Revision 5853 - 2011-05-19 04:16 - Toshi MARUYAMA

scm: git: set revisions ordering inconsistent in existing database (#5357).

Between version 0.9 r2840 (#1406) and version 1.2 r5073 (#7821, #5357),
git revisions are stored as C-B-A-F-E-D in database.

Revision 5854 - 2011-05-19 04:16 - Toshi MARUYAMA

scm: git: add unit model test that revisions ordering is consistent in new database (#5357).

Revision 5855 - 2011-05-19 04:17 - Toshi MARUYAMA

scm: git: add unit model test that revisions ordering is inconsistent in existing database (#5357).

Revision 5899 - 2011-05-25 13:33 - Toshi MARUYAMA
scm: add exception of fetching revisions error in repository model (#5357, #2799, #4741, #8030).

Revision 8898 - 2012-02-17 15:27 - Toshi MARUYAMA

scm: git: replace "order" at unit model test of fetching from scratch (#5357)

On Rails 3.0.11, this test fails.
Revision order of Git and Mercurial is not date/time order.

Revision 8899 - 2012-02-17 15:28 - Toshi MARUYAMA
scm: git: replace "write_attribute" at unit model test for database order consistency (#5357)

On Rails 3.0.11, "NoMethodError: private method “write_attribute™ error raises.

History

#1 - 2010-04-20 16:40 - Yuya Nishihara
- File sort-changesets-by-id.diff added

Same issue as #3567.
"order by date/time" is only valid for centralized system like CVS or Subversion.

| have a patch, sort-changesets-by-id.diff, to fix this issue, but which is yet well tested.

#2 - 2010-04-21 10:30 - Pieter Smith
- File sort-changes-by-id-for-git.diff added

Thanks, but your changeset does appear to solve the problem for a GIT repo. It did however provide me with enough info to solve it myself:
sort-changes-by-id-for-git.diff

It appears that similar changes will have to be applied to ./test/unit/repository_git_test.rb as well, but | am not familiar enough with the unit test
infrastructure to make these changes.

#3 - 2010-04-21 10:32 - Pieter Smith

Oops, | made a typo: Your changeset does not appear to solve the problem for a GIT repo
#4 - 2010-04-21 12:00 - Pieter Smith

Crap. sort-changes-by-id-for-qit.diff doesn't work:

1. With the initial fetch, redmine adds the changesets in reverse commit order.
2. When additional changesets are imported, they are added to the back of the table, also in reverse commit order.
3. Sorting by changesets.id therefore results in a discontinuity

| tried to reverse the order with which changesets are added to the database by using the :reverse option of scm.revisions(), but all the other

mechanisms use the changesets.committed_on field to determine if something is new, so new changesets are not imported resulting in changeset
fetch deadlocks.

#5 - 2010-04-21 14:36 - Yuya Nishihara
Hi, | read #2108 and feel the issue is much tangled than Mercurial's (#3567.)

According to git help log, it sorts changes in chronological order, and Redmine also orders by committed_on. So how do them become different?

BTW, your information about git really helps me. Thanks! :)

#6 - 2010-04-21 15:41 - Pieter Smith

Not true. The git log --help does not seem to be accurate (and does not make sense either). Here is a clear example of a log pulled from GIT (git log
--date-order and git log produces the same results):

commit 1820eb8224442£f04£055cce31£30e1813bbc61lc8
Author: Pieter Smith <pieter.smith@eu.omron.com>
Date: Tue Apr 20 03:09:01 2010 -0400

Also ignore mongrel rails PID files in ./log
commit 0ff42bcb8069008c8f558eel763c96167872a4lf
Author: Pieter Smith <pieter.smith@eu.omron.com>

Date: Wed Apr 21 18:02:58 2010 -0400

Applied mongrel --prefix use patch:
* http://www.ruby-forum.com/topic/183811

commit 12fb96220972e89£8748d81eb7082del697b12d8
Author: Pieter Smith <pieter.smith@eu.omron.com>
Date: Mon Apr 19 02:46:56 2010 -0400

Added redmine checkout plugin
commit 10406e90£8797dc4299717£1d1260b9976b23cle
Author: Pieter Smith <pieter.smith@eu.omron.com>

Date: Mon Apr 19 02:37:15 2010 -0400

Ignore files directory entirely:
* Allow use of symlinks to place attachments elsewhere

commit 29671188126e774529713847155a57e522£84b4b
Author: Pieter Smith <pieter.smith@eu.omron.com>
Date: Mon Apr 19 02:33:57 2010 -0400
Added --proj-id-match and --update-only options to reposman
commit fc6cecclea2593£29fcbbe3d021880b2212b93639
Author: Jean-Philippe Lang <jp_lang@yahoo.fr>
Date: Sun Feb 28 15:12:09 2010 +0000
tagged version 0.9.3

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/tags/0.9.3@3515 e93f8b46-1217-0410-a6£0-8£06a7374b81

And the same log in redmine:
Redmine_Repository_View.JPG

#7 - 2010-04-21 15:42 - Pieter Smith
- File Redmine_Repository View.JPG added

And the missing file:
#8 - 2010-04-21 17:20 - Yuya Nishihara

- File git-changeset-order-workaround.diff added

Hmm, I'll see it later how git considers, but git-changeset-order-workaround.diff may partially fix the problem. (though I'm not sure.)

It changes the insertion order to be "ORDER BY id" as possible. (so please run clear_changesets to regenerate changesets table, and apply also
sort-changesets-by-id.diff patch)

Note: Git backend checks the last 7-day logs everytime calling fetch_changesets.
Then deletes disappeared changesets from database, and finally inserts missing ones.

#9 - 2010-04-22 08:56 - Pieter Smith
Thank you!

Further testing is needed, but these two patches (sort-changesets-by-id.diff and git-changeset-order-workaround.diff) appear to fix the issue. Will this
be incorporated in a near-future release, or will | have to patch future versions?

P.S. How should | run clear_changesets? This didn't work:

@ruby script/runner "Repository.clear_changesets" —-e production

| deleted the contents of the changesets table in the MySQL database to test this, but | would prefer not to circumvent the application by messing with
the database.

#10 - 2010-04-22 17:48 - Yuya Nishihara
Hi, thank you for testing it!
Pieter Smith wrote:
Will this be incorporated in a near-future release,
or will | have to patch future versions?
I'm not sure but since it requires to refetch all changesets, it might be harder to be merged into Redmine release.
Anyway, | need to understand more about Git. (I mostly use Mercurial and its Hg-Git extension.)
P.S. How should | run clear_changesets?
Oops! | completely misread the comment of repository/git.rb saying "The repository can still be fully reloaded by calling #clear_changesets."
There seems no way to run it from command-line.
You can regenerate changesets table by: 1. delete repository from settings tab; 2. recreate the same repository, though it's really indirect way. :)

#11 - 2010-07-20 08:26 - Toshi MARUYAMA

FYI: git 1.7 supports "git commit --date DATE".
http://www.kernel.org/pub/software/scm/qgit/docs/RelNotes-1.7.0.txt

#12 - 2010-07-20 10:09 - Pieter Smith

Interesting... The commit date can be overridden. Not quite sure how it could practically help with the display ordering though. :(

#13 - 2010-07-21 14:49 - Toshi MARUYAMA
| think we can create test repository, unit test and functional test.
e source:tags/1.0.0/test/fixtures/repositories/qit_repository.tar.gz

° rce: 1.0. nit/r itory git_test.rl
e source:tags/1.0.0/test/functional/repositories_git_controller_test.rb

#14 - 2010-07-21 15:45 - Pieter Smith

If you need any assistance, I'd be glad to help.

#15 - 2010-07-21 16:02 - Toshi MARUYAMA

Yuya is working now.
Please see http://www.redmine.org/issues/4455#note-123 and http://www.redmine.org/issues/4455#note-130.
#16 - 2010-07-21 16:56 - Yuya Nishihara
Toshi MARUYAMA wrote:

Yuya is working now.
Please see http://www.redmine.org/issues/4455#note-123 and http://www.redmine.org/issues/4455#note-130.

Ah, but I've just tried minimizing the impact of #4455 patch, to make a difference only to mercurial backend. ;)

As | said before, my workaround patch for git requires database regeneration. I'm not sure how the maintainers and redmine+git users think, though, it
sounds awful to me.

#17 - 2010-09-10 02:40 - Toshi MARUYAMA

There is a patch for time-zone of git adapter at #6346

#18 - 2010-09-10 09:19 - Felix Schafer
Toshi MARUYAMA wrote:

There is a patch for time-zone of git adapter at #6346.
No, this is not related. The problem here is that redmine assumes "younger" revisions to be the "newest", which isn't the case with git. The commit
date in git is just metadata, it's neither authoritative nor an indication of the ordering of the revisions. The revision order in git is provided only by the

linked list nature of revisions, i.e. a revision holds a reference to its parent revision, which in turn holds a reference to its parent, and so on.

This discrepancy between "redmine assumes commit dates in consecutive commits always increases" and "the commit date in git is just metadata” is
| think the problem, but that's one that will take more work than "just” fixing the git adapter.

#19 - 2010-09-18 11:33 - Toshi MARUYAMA
Toshi MARUYAMA wrote:

FYI: git 1.7 supports "git commit --date DATE".
http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.7.0.txt

Git has a AuthorDate and CommitDate.

e #2108
¢ Pro Git Maintaining a Project

"--date" option changes AuthorDate.
AuthorDate and CommitDate can be changed by GIT_AUTHOR_DATE and GIT_COMMITTER_DATE environment variables.

$ GIT_AUTHOR_DATE="1990-01-01 00:00:00 +0100" \
GIT_COMMITTER_DATE="2000-01-01 00:00:00 -0500" \
git commit -a -m "test."

$ git log —-pretty=fuller -nl | cat
commit da940a9edl13807bddc63b7bf5c295291dla7f6ba

Author: Toshi MARUYAMA <XXXXXXXXXXXX>
AuthorDate: Mon Jan 1 00:00:00 1990 +0100
Commit : Toshi MARUYAMA <XXXXXXXXXXXX>

CommitDate: Sat Jan 1 00:00:00 2000 -0500
test.

#20 - 2010-09-22 15:00 - Toshi MARUYAMA

- File git-rebase.png added

git rebase changes CommitDate and keeps AuthorDate.

$ git log --graph --all —--pretty=fuller -n2

* commit 585b4abad53aa65fd6bf6109%9ef6e7f£dd06808a8
I

|

I

I

|

I

I

Author: Toshi MARUYAMA <XXXXXXXXXX>
AuthorDate: Wed Sep 22 21:26:24 2010 +0900
Commit: Toshi MARUYAMA <XXXXXXXXXX>

CommitDate: Wed Sep 22 21:26:24 2010 +0900

testOl.
* commit d0331012c8ac9c3c588723547a98695d77ae013a

/ Author: Toshi MARUYAMA <XXXXXXXXXX>
AuthorDate: Wed Sep 22 21:24:08 2010 +0900

|
|
|
| Commit : Toshi MARUYAMA <XXXXXXXXXX>
| CommitDate: Wed Sep 22 21:24:08 2010 +0900
|

| test00.

$ git checkout d0331012c8ac9c3c588723547a98695d77ae013a
git rebase 585bd4abad53aa65fdébf6109ef6e7££dd06808a8

U

$ git log —--graph --all --pretty=fuller -n2
* commit 1809%eacbcd8844fab5df80£fcd95a7£7315a0c6c4

Author: Toshi MARUYAMA <XXXXXXXXXX>
AuthorDate: Wed Sep 22 21:24:08 2010 +0900
Commit: Toshi MARUYAMA <XXXXXXXXXX>

CommitDate: Wed Sep 22 21:35:52 2010 +0900

test00.

commit 585b4abad53aa65fd6bf6109efbe7££dd06808a8

Author: Toshi MARUYAMA <XXXXXXXXXX>
AuthorDate: Wed Sep 22 21:26:24 2010 +0900
Commit: Toshi MARUYAMA <XXXXXXXXXX>

CommitDate: Wed Sep 22 21:26:24 2010 +0900
testOl.
$ git log --graph —--all -n2
* commit 1809%eacbcd8844fab5df80£fcd95a7£7315a0c6c4
Author: Toshi MARUYAMA <XXXXXXXXXX>
Date: Wed Sep 22 21:24:08 2010 +0900
test00.
commit 585b4abad53aa65fdébf6109ef6e7££dd06808a8
Author: Toshi MARUYAMA <XXXXXXXXXX>

Date: Wed Sep 22 21:26:24 2010 +0900

testOl.
#21 - 2010-09-23 16:57 - Toshi MARUYAMA
- File git-order-new.diff added

- File git-order-before.png added
- File git-order-after.png added

Yuya Nishihara wrote:

Toshi MARUYAMA wrote:

Yuya is working now.
Please see http://www.redmine.org/issues/4455#note-123 and http://www.redmine.org/issues/4455#note-130.

Ah, but I've just tried minimizing the impact of #4455 patch, to make a difference only to mercurial backend. ;)

As | said before, my workaround patch for git requires database regeneration. I'm not sure how the maintainers and redmine+git users think,
though, it sounds awful to me.

| referred Yuya's mercurial implementation ,
then | implement ordering only for git.

| pushed to my github and | attach a new patch.

e http://github.com/marutosi/redmine/commits/git-order
e http://github.com/marutosi/redmine/commits/6806ea5af21e75fci

And | post logs and images of following test repository.
e http:/github.com/marutosi/redmine_test_git_repository/commits/ce4e78fctfa81e538

$ git log —--graph --pretty=fuller -n3 | cat
* commit ce4e78fcffa8leb538ad3ef41065a285dad462c94c

Author: Toshi MARUYAMA <XXXXXXXX>
AuthorDate: Wed Jul 11 00:00:00 1990 +0100
Commit : Toshi MARUYAMA <XXXXXXXX>

CommitDate: Sun Jul 11 00:00:00 2010 -0500

date test 3.

commit 8312fa08b40540b0b301241a6abb032fac08d3£3

Author: Toshi MARUYAMA <XXXXXXXX>
AuthorDate: Tue Jul 10 00:00:00 1990 +0100
Commit : Toshi MARUYAMA <XXXXXXXX>

CommitDate: Sat Jul 10 00:00:00 2010 -0500

date test 2.

commit 3329c803bc79b6657660b7€045a8d08802ca32f7

Author: Toshi MARUYAMA <XXXXXXXX>
AuthorDate: Thu Jul 12 00:00:00 1990 +0100
Commit : Toshi MARUYAMA <XXXXXXXX>

CommitDate: Mon Jul 12 00:00:00 2010 -0500
date test 1.
$ git log —--graph -n3 | cat
* commit cede78fcffa8le538ad3ef41065a285da462c94c
| Author: Toshi MARUYAMA <XXXXXXXX>
| Date: Wed Jul 11 00:00:00 1990 +0100
I
| date test 3.
I
* commit 8312fa08b40540b0b301241a6a6b032fac08d3£3
| Author: Toshi MARUYAMA <XXXXXXXX>
| Date: Tue Jul 10 00:00:00 1990 +0100
I
| date test 2.
I
* commit 3329c803bc79b6657660b7e045a8d08802ca32£f7
Author: Toshi MARUYAMA <XXXXXXXX>
Date: Thu Jul 12 00:00:00 1990 +0100
date test 1.
#22 - 2010-09-23 19:18 - Felix Schafer
| hate to quote myself, but:
Felix Schéafer wrote:
The revision order in git is provided only by the linked list nature of revisions, i.e. a revision holds a reference to its parent revision, which in turn
holds a reference to its parent, and so on.
So they are ordered by database insertion instead of commit date, still a workaround rather than a solution.
(and don't get me wrong: | appreciate the work you do here, but | think it goes in the wrong direction)
#23 - 2010-09-24 01:23 - Toshi MARUYAMA

Felix Schéafer wrote:

(and don't get me wrong: | appreciate the work you do here, but | think it goes in the wrong direction)

| think better solution for DVCS is creating new tables for DA!

Please see http://www.redmine.org/issues/4773#note-18 .

#24 - 2010-09-28 14:50 - Toshi MARUYAMA
- File rebase-multi-revs-before.png added

- File rebase-multi-revs-after.png added
Rebased multi revisions CommitDate changed same time.
So, ordering with CommitDate is strange.

| pushed these revisions to my github.

e http://github.com/marutosi/redmine_test_git_repository/commits/rebase-test-00
e http://github.com/marutosi/redmine_test git repository/commits/57a99e05c3ef7bfd43c87

$ git log —--graph --all --pretty=fuller -n 3 | cat
* commit ¢65291727d4d674f0ead796a8a666cf6817494dc

Author: Toshi MARUYAMA <marutosijp2@foo.bar>
AuthorDate: Tue Sep 28 20:32:19 2010 +0900
Commit: Toshi MARUYAMA <marutosijp2@foo.bar>

CommitDate: Tue Sep 28 20:32:19 2010 +0900

rebase test 10.

* commit de31c2ab3b20188b2b09e168026805688d65ef65

Author: Toshi MARUYAMA <marutosijp2@foo.bar>
AuthorDate: Tue Sep 28 20:28:42 2010 +0900
Commit : Toshi MARUYAMA <marutosijp2@foo.bar>

CommitDate: Tue Sep 28 20:28:42 2010 +0900

rebase test 01.

* — — — — —

commit 27a6e34d47c90d632bd2207fb812c8eb49107923

/ Author: Toshi MARUYAMA <marutosijp2@foo.bar>
AuthorDate: Tue Sep 28 20:28:19 2010 +0900
Commit: Toshi MARUYAMA <marutosijp2@foo.bar>

CommitDate: Tue Sep 28 20:28:19 2010 +0900
rebase test 00.

$ git checkout de31c2ab3b20188b2b09e168026805688d65ef65
$ git rebase c65291727d4d674f0ead796a8a666cf6817494dc

$ git log —--graph --all --pretty=fuller -n3 | cat
* commit 57a99e05c3ef7bfd43c87146£728e51665234a28

Author: Toshi MARUYAMA <marutosijp2@foo.bar>
AuthorDate: Tue Sep 28 20:28:42 2010 +0900
Commit: Toshi MARUYAMA <marutosijp2@foo.bar>

CommitDate: Tue Sep 28 20:39:11 2010 +0900
rebase test O1.

commit dd6129a06b9%9a38d7d8a80el140cf804d5¢c76e0e3b

Author: Toshi MARUYAMA <marutosijp2@foo.bar>
AuthorDate: Tue Sep 28 20:28:19 2010 +0900
Commit : Toshi MARUYAMA <marutosijp2@foo.bar>

CommitDate: Tue Sep 28 20:39:11 2010 +0900

rebase test 00.

commit c¢65291727d4d674f0ead796a8a666cf£6817494dc

Author: Toshi MARUYAMA <marutosijp2@foo.bar>
AuthorDate: Tue Sep 28 20:32:19 2010 +0900
Commit : Toshi MARUYAMA <marutosijp2@foo.bar>

CommitDate: Tue Sep 28 20:32:19 2010 +0900
rebase test 10.

#25 - 2010-10-01 17:00 - Bernhard Furtmueller

I'm far away being a git expert but | think rebasing on a public "offical" repository is evil anyway. Please see git-rebase(1) NOTES and RECOVERING
FROM UPSTREAM REBASE. I'm not sure if this could be fixed in redmine with reasonable efforts.

#26 - 2010-10-02 00:40 - Toshi MARUYAMA

Bernhard Furtmueller wrote:

I'm far away being a git expert but | think rebasing on a public "offical" repository is evil anyway.

Yes. In Git and Mercurial, rebasing and history editing on public repository is rare case.
But, rebaseing and history editing on private repository and pushing these revisions to public repository is popular.
Please see http://www.redmine.org/issues/4455#note-146 .

#27 - 2011-02-08 01:59 - Toshi MARUYAMA
- Priority changed from High to Normal

#28 - 2011-02-08 02:01 - Toshi MARUYAMA

- Subject changed from SCM revisions ordered by date/time (should be reverse commit order) to Git: SCM revisions ordered by date/time (should be
reverse commit order)

#29 - 2011-02-08 02:14 - Toshi MARUYAMA
- File git-rebase-20110208.png added

These are https://github.com/edavis10/chiliproject/tree/ticket/master/30-upstream-code-review image and log.

Eric seemed to rebase or cherry-pick.
Latest CommitDate changed "Sat Feb 5 21:08:10 2011 -0800".

.gitignore 322 Bytes £18c0c79 8 months Eric Davis lgnore rubinius .rbe files git-svn-id: svn+ssh..
README.rdoc 208 Bytes cD87e6f8 7 months Eric Davis Readme update. git-svn-id: svn+ssh://rubyfo
Rakefile 307 Bytes 96f83cc8 about 4 years  Jean-Fhilippe Lang  trunk moved from /trunk/redmine to /trunk c

Latest revisions

# Date Author Comment

dc016d22 @ 02/06/2011 02:08 pm Jean-Philippe Lang Set VERSION to 1.0.5.
git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4568 e93{8b46-1217-0410
abf0-8f06a7374b81

36590716 © @  02/06/2011 02:07 pm Jean-Philippe Lang Updated INSTALL for 1.0.5
git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4567 e93{8b46-1217-0410
abf0-8f06a7374b81

7d152dds © ©  02/06/2011 02:07 pm Jean-Philippe Lang Updated CHANGELOG for 1.0.5
git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4566 e93{8b46-1217-0410
abf0-8f06a7374b81

9142dafc © O 02/06/2011 02:07 pm Jean-Philippe Lang Fixes: Mercurial adapter loses seconds of commit times (#6656).
git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4561 e93{8b46-1217-0410
abf0-8f06a7374b81

0fae743a © O 02/06/2011 02:06 pm Jean-Philippe Lang Adds themes test for when Redmine is in a sub-uri.

$ git log —--graph -b br-chili-eric --pretty=fuller -n3 | cat
*

* o— — —

commit dc0l6d226dlafce84aa7ead78434c7064e5d13f1

Author: Jean-Philippe Lang
AuthorDate: Thu Dec 23 10:04:08 2010 +0000
Commit: Eric Davis

CommitDate: Sat Feb 5 21:08:10 2011 -0800
Set VERSION to 1.0.5.
git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4568 e93f8b46-1217-0410-a6£f0-8£f06a7374b81

commit 3659b7164c6£15971bfd5a7384fa517£5248e8c0

Author: Jean-Philippe Lang
AuthorDate: Thu Dec 23 10:03:32 2010 +0000
Commit: Eric Davis

CommitDate: Sat Feb 5 21:07:14 2011 -0800

|
|
I
|
|
| Updated INSTALL for 1.0.5
|
|
I
*

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4567 e93f8b46-1217-0410-a6£0-8£06a7374b81
commit 7d152dd51635e2el19edb0c55b0cb2cad98adl7da
Author: Jean-Philippe Lang
AuthorDate: Thu Dec 23 10:02:08 2010 +0000
Commit : Eric Davis

CommitDate: Sat Feb 5 21:07:07 2011 -0800
Updated CHANGELOG for 1.0.5

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@4566 e93f8b46-1217-0410-a6£0-8£06a7374b81

#30 - 2011-03-02 06:06 - Toshi MARUYAMA

Assignee set to Toshi MARUYAMA
#31 - 2011-03-10 04:31 - Toshi MARUYAMA
- Affected version (unused) changed from 0.9.3 to 0.9.0
- Affected version changed from 0.9.3 to 0.9.0

#32 - 2011-03-10 05:39 - Toshi MARUYAMA
- File sort-changes-by-id-for-git-r5074.diff added
- Assignee deleted (Toshi MARUYAMA)

This is a patch for r5074 .

#33 - 2011-05-27 13:36 - Toshi MARUYAMA
- File chili-pdf-issue-61.png added

https://www.chiliproject.org/projects/chiliproject/repository/show?rev=69bad846048e6b854cda272e2701771f26172234

chili-pdf-issue-61.png

#34 - 2011-06-05 09:26 - Toshi MARUYAMA
- Assignee set to Toshi MARUYAMA

- Target version set to 1.3.0

#35 - 2011-08-26 04:21 - Toshi MARUYAMA
- Target version deleted (1.3.0)

#36 - 2011-08-26 04:23 - Toshi MARUYAMA

- Target version set to Unplanned backlogs

Files

sort-changesets-by-id.diff 2.43 KB 2010-04-20 Yuya Nishihara
sort-changes-by-id-for-git.diff 836 Bytes 2010-04-21 Pieter Smith
Redmine_Repository_View.JPG 122 KB 2010-04-21 Pieter Smith
git-changeset-order-workaround.diff 1.01 KB 2010-04-21 Yuya Nishihara
git-rebase.png 95.6 KB 2010-09-22 Toshi MARUYAMA
git-order-new.diff 1.15 KB 2010-09-23 Toshi MARUYAMA
git-order-before.png 97.9 KB 2010-09-23 Toshi MARUYAMA
git-order-after.png 94.1 KB 2010-09-23 Toshi MARUYAMA
rebase-multi-revs-before.png 48.1 KB 2010-09-28 Toshi MARUYAMA
rebase-multi-revs-after.png 33.1 KB 2010-09-28 Toshi MARUYAMA
git-rebase-20110208.png 91.6 KB 2011-02-08 Toshi MARUYAMA
sort-changes-by-id-for-git-r5074.diff 1.01 KB 2011-03-10 Toshi MARUYAMA
chili-pdf-issue-61.png 215 KB 2011-05-27 Toshi MARUYAMA
